> ## Documentation Index
> Fetch the complete documentation index at: https://docs.api.eliteprospects.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seasons

> Retrieve a paginated list of seasons. Use the `fields` parameter to customize response fields.



## OpenAPI

````yaml /api-reference/openapi.yml get /teams/{id}/team-stats/seasons
openapi: 3.0.0
info:
  title: Elite Prospects API
  description: Elite Prospects API with data from https://www.eliteprospects.com
  contact:
    name: API Support
    email: api@eliteprospects.com
  version: '1.0'
servers:
  - description: Production server
    url: https://api.eliteprospects.com/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agency
  - name: Arena
  - name: Award
    description: Awards for player and staff
  - name: Country
  - name: Draft
    description: Drafted players and draft rankings
  - name: Game
  - name: Game Log
  - name: Game Log Aggregate
  - name: League
  - name: NHL Rights
  - name: Player
  - name: Player Stats
  - name: Player Style
  - name: Ranking
  - name: Retired Number
  - name: Search
  - name: Staff
  - name: Staff Stats
  - name: Star And Cult Player
  - name: Team
  - name: Team Stats
  - name: Transfer
externalDocs:
  description: More info at Elite Prospects website
  url: https://www.eliteprospects.com/api
paths:
  /teams/{id}/team-stats/seasons:
    get:
      tags:
        - Team
      summary: Seasons
      description: >-
        Retrieve a paginated list of seasons. Use the `fields` parameter to
        customize response fields.
      operationId: listTeamsTeamStatsSeasons
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
          description: Numeric ID of the team to get seasons for
        - in: query
          name: fields
          schema:
            type: array
            items:
              type: string
              enum:
                - slug
                - startYear
                - endYear
                - '*'
          style: form
          explode: false
          required: false
          description: "Specify custom response with available response fields.\r\n***\r\n*Fields included as default:* slug, startYear, endYear"
        - $ref: '#/components/parameters/offsetParam'
        - $ref: '#/components/parameters/limitParam'
      responses:
        '200':
          description: A paginated list of seasons.
          content:
            application/json:
              schema:
                type: object
                properties:
                  _meta:
                    allOf:
                      - $ref: '#/components/schemas/Meta'
                      - $ref: '#/components/schemas/ListMeta'
                  _links:
                    allOf:
                      - $ref: '#/components/schemas/PaginationLinks'
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Season'
          x-field-info:
            defaultFields:
              - slug
              - startYear
              - endYear
            extendedFields: []
components:
  parameters:
    offsetParam:
      in: query
      name: offset
      schema:
        type: integer
        minimum: 0
        default: 0
      required: false
      description: The number of items to skip before starting to collect the result set.
    limitParam:
      in: query
      name: limit
      schema:
        type: integer
        minimum: 0
        maximum: 1000
        default: 100
      required: false
      description: The number of items to return.
  schemas:
    Meta:
      type: object
      properties:
        generatedAt:
          type: string
    ListMeta:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        totalRecords:
          type: integer
    PaginationLinks:
      type: object
      properties:
        first:
          type: string
        last:
          type: string
        prev:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
    Season:
      type: object
      properties:
        slug:
          type: string
        startYear:
          type: integer
        endYear:
          type: integer
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: query
      name: apiKey

````